<template>
<div class="loadUnPage">
    <view class="history-numbers">
		            <view style="display:flex;" class="top">
					<combined-title title="当前查询收发单：">
					</combined-title>
					<u-tag :text="isYuyue === 1 ? '未入场' : '全部'" class="topTag" @click="todoShow"></u-tag>
					</view>	
					<scroll-view :scroll-top="scrollTop"
						scroll-y="true"
						class="scroll-Y">
						<u-empty mode="data"
							icon="http://cdn.uviewui.com/uview/empty/data.png"
							textSize="30"
							iconSize="1000"
							text="暂无数据"
							v-if="orderPlanList.length == 0"></u-empty>
						<view class="collection-form" 
						>
					<!-- <view class="collection-form-item"
						v-for="(item, index) in orderPlanList"
						:key="index"
						@click="faYundetail(item)">
						<view class="first-line">
							<view class="dispatch-receive">
								<view class="dispatch-dept">{{ item.customerName }}</view>
								<view class="black-bar"></view>
								<view class="dispatch">{{ item.filedName }}</view>
							</view>
						</view>
						<view class="second-line"
							style="width: 94%;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
						 <view>	{{item.customerName}} </view>
						  <view class="order-type">{{item.bunkerName}}</view>
 						</view>
						
						<view class="second-line">
							<view class="coal-name">
								<view class="">{{ item.productNames || item.productName }}</view>
								<view class="black-bar"></view>
								<view class="coal-type"
									v-if="item.orderType">{{ item.orderType }}</view>
							</view>
						</view>
						<view class="second-line">
							{{item.orderCode}}
						</view>
						<view class="five-line">
							<view>{{ item.code }}</view>
						</view>
						<view class="third-line">
							<view class="time-icon">
								<view
									style="width: 24rpx;height: 24rpx;li ne-height: 24rpx;background: url('https://wrzs.czjlchem.com:9090/appimg/image/banner/clock.png') no-repeat;background-size: cover">
								</view>
							</view>
							<view class="send-date">{{ item.sendDate }}</view>
						</view>
						
					</view> -->
					<!-- 时间点  =======  提煤单 -->
					<view class="collection-form-item" 
						v-for="(item, index) in orderPlanList"
						:key="index">
						<view class="formTop">
							<text>{{item.startTime}} ~ {{item.endTime}}</text>
							<!-- <view style="marginRight:20rpx">
									<text>发运日期：{{item.sendDate}}</text>
							</view> -->
						</view>
						<view class="formBottom">
							<uni-table border stripe 
			emptyText="暂无更多数据">
					<uni-tr>
						
					    <uni-th align="center" width='120'>车牌号</uni-th>
					    <uni-th align="center" width='200'>产品</uni-th>
						<uni-th align="center" width='80'>产品等级</uni-th>
						<uni-th align="center" width='80'>包装类型</uni-th>
						<uni-th align="center" width='90'>计划量</uni-th>
						<uni-th align="center" width='80'>实际量</uni-th>
						<!-- <uni-th align="center" width='100'>皮重</uni-th>
						<uni-th align="center" width='100'>毛重</uni-th>
						<uni-th align="center" width='100'>净重</uni-th>
						<uni-th align="center" width='100'>数量</uni-th> -->
					    <!-- <uni-th align="center">仓库</uni-th> -->
						<uni-th align="center" width='100'>状态</uni-th>
						
					</uni-tr>
					<uni-tr v-for="(subItem, index2) in item.tmTaskCoalList" :key="index2" 
					@click.native="showMore(subItem)"
					>
			       <uni-td align="center">
							
							<view>{{ subItem.carNo }}</view></uni-td>
					<uni-td align="center">
							<view>{{ subItem.productName }}</view></uni-td>
							<uni-td align="center">
							<view>{{ subItem.productGrade }}</view></uni-td>
							<uni-td align="center">
							<view>{{proType[subItem.packingType]}}</view></uni-td>
							<uni-td align="center">
							<view>{{ subItem.planMeasure }}</view></uni-td>
							<uni-td align="center">
							<view>{{ subItem.realityMeasure }}</view></uni-td>
					
					  <uni-td align="center">
				{{ subItem.statusView }}</uni-td>
					 
				</uni-tr>
				</uni-table>
						</view>
					</view>
				</view>
						<view class="more_text"
							v-if="showMoreData && historyCoalData.length !== 0">没有数据了...</view>
						<view class="white-block"></view>
					</scroll-view>
				</view>
	<u-action-sheet :actions="list" @close='showClose'  closeOnClickOverlay  :show="show"  @select="selectClick"></u-action-sheet>
    <tab-bar :current="2"></tab-bar>
    </div>  
</template>

<script>
export default {
    data() {
        return {
            orderPlanList:[],
			proType:['散装','液氯瓶装','罐装','PVC25','PVC80','PVC1150','PVc1200'],
			show:false,
			pageLoading:false,
			isYuyue :0, //入场，未入场
            scrollTop:0,
			list:[
				{
					name: '全部',
					value:0
				},
				{
					name:'未入场',
					value:1
				},
				
			],
          	historyCoalData: [],
				// 表格加载状态
				loading: false,
				scrollTop: 0,
				// 每页数据量
				pageSize: 10,
				// 当前页
				pageCurrent: 1,
				// 数据总量
				total: 0,
				// 是否显示更多数据
				showMoreData: false,
        }
    },
    onLoad(){
    //   this.init();
    },
	onShow(){
   this.init();
	},
    methods: {
        //初始化
        init(){
			console.log('init',localStorage.getItem('bunkerIds'))
			uni.showLoading({ title: '加载中...' })
            this.$reqGet('getMyPlanListByBunkerId',{bunkerIds:localStorage.getItem('bunkerIds'),isYuyue:this.isYuyue}).then((res) => {
                console.log(res,'res')
                this.orderPlanList = res.data;
				uni.hideLoading();
            })
        },
          faYundetail(v) {
				uni.navigateTo({
					url: `/subPages/fayunPlanDetails/fayunPlanDetails?orderPlanId=${v.id}&cars2=${v.cars2}&coalName=${v.coalName}&deptName=${v.deptName}&productNames=${v.productNames}&roleType=${5}&customerName=${v.customerName}`
				});
			},
				showMore(item) {
				uni.navigateTo({
					url: `/subPages/fayunPlanDetails/fayunPlanMore/fayunPlanMore?orderPlanId=${this.orderPlanId}&id=${item.id}&orderType=${item.orderType}`
				});
			},
			todoShow(){
				this.show = true;
			},
			selectClick(item){
				console.log(item,'item')
				this.isYuyue  = item.value;
				this.init();
				this.show  = false;
			},
			showClose(){
				this.show = false;
			}
    },
    computed:{
        bunkerIds(){
            return localStorage.getItem('bunkerIds')
        },
            // historyScrolltolower() {
			// 	if (this.pageCurrent * this.pageSize >= this.total) return (this.showMoreData = true);
			// 	this.pageCurrent++;
			// 	this.getJhOrderPlanDataPage();
			// },
    }

}
</script>

<style lang="scss" scoped>
   .top{
	position: relative;
   }
   .topTag{
	position: absolute;
	left: calc(100% -  (100% - 140px));
	top: 20%;
   }
 	 .five-line{
    height: 50rpx;
    line-height: 24rpx;
    font-size: 28rpx;
    font-weight: 300;
	 margin-left: 32rpx;
	font-size: 25rpx;
  	}
	@mixin flex {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	.scroll-Y{
		height: 100%;
	}
.loadUnPage{
    width: 100%;
   height: calc(100vh - 8vh);
	overflow-y: auto;
}
.history-numbers{
	height: 100%;
}
.collection-form{
	height: 100%;
	margin-top: 10rpx;
	display:flex;
	align-items: center;
	// justify-content: center;
	flex-direction: column;
	.collection-form-item{
		width: 95%;
		height: 400rpx;
		box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
		margin: 20rpx 0;
		.formTop{
			width: 100%;
			height: 100rpx;
		    background: linear-gradient(-2deg, #ffffff 0%, #0055fe 100%);
			font-size: 40rpx;
			display: flex;
			align-items: center;
			justify-content: space-between;
			font-weight: bold;
			color: #fff;
			text-indent: 20rpx;
		}
	}
		/deep/ .uni-table{
			min-width: 0rpx!important;
		}
}
</style>